## int v24SetTimeouts

## ( v24_port_t* port, int TenthOfSeconds )

## Documentation

> All read functions may use a timeout mechanism while waiting for characters. If this time limit is exceeded the function abort reading. The timeout mechanism is only active, if the open flag `V24_NON_BLOCK` isn't specified.

> The timeout duration is specified by the parameter `TenthOfSeconds`. This value is given as a multiple of a thenth of a second.

> The values returned are: `V24_E_OK`, `V24_E_ILLHANDLE`, `V24_E_ILLTIMEOUT`, `V24_E_NOT_INIT`.

Parameters:
  port - pointer to handle of the opened port.
  TenthOfSeconds - the timeout duration.
Returns:
  (int) the `V24_*` error code.

Alphabetic index

This page was generated with the help of DOC++.